<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('final_computation_histories', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('clearance_id')->index();
            $table->integer('submitted_by')->index();
            $table->integer('status_to');
            $table->string('process_name', 250);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('final_computation_history');
    }
};
